<?php
header("Content-Type: application/json; charset=UTF-8");

$sqls = array();

require ('sqls.php');

class SqlResult {
    public $title = "";
    public $metaData = array();
    public $data = array();
	public $state = "";
	public $OKCode = true;
}

$sqlResult = new SqlResult();

$sqlnbr = intval ($_GET['sqlnbr']);
$date = strval ($_GET['date']);

$ini = parse_ini_file("../../inis/bluetti.ini");
$pdo = mysqli_connect($ini['host'], $ini['user'], $ini['password'], $ini['dbname']);
mysqli_report(MYSQLI_REPORT_ERROR | MYSQLI_REPORT_STRICT);
$stmt = $pdo->prepare($sqls[$sqlnbr]['sql']);
if (strpos($sqls[$sqlnbr]['sql'], "?") !== false) {
	if (empty ($date)) {
		$value = date("Y-m-d");
	} else {
		$value = $date;
	}
	$stmt->bind_param('s', $value);
}
$stmt->execute();
$data = $stmt->get_result();
$metaData = array();
while ($property = mysqli_fetch_field($data)) {
	$metaData[] = $property;
}
$data = $data->fetch_all();

$sqlResult->title = $sqls[$sqlnbr]['dsc'];
$sqlResult->metaData = $metaData;
$sqlResult->data = $data;
$sqlResult->state = "Ok";
$sqlResult->OKCode = true;

echo json_encode($sqlResult);
?>
